Video Blocks
Operations dealing with blocking videos (removing them from view and preventing interactions).
Block a video
Body
reasonstringReason for the block (public)
unfederatebooleanWhether to unfederate the video
internalNotestringInternal note for moderators/admins
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
Update a video block
Body
reasonstringReason for the block (displayed publicly)
internalNotestringInternal note for moderators/admins
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
block not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
Unblock a video by its id
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
block not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
List video blocks
Parameters
typeinteger12querylist only blocks that match this type:
1: manual block2: automatic block that needs review
searchstringqueryplain search that will match with video titles, and more
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstring-idname-duration-views-likes-dislikes-uuid-createdAtquerySort blocklists by criteria
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
